# class Spinbox

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

__validation_class_list() click to toggle source
Calls superclass method TkValidation#__validation_class_list

    # File lib/tk/spinbox.rb, line 71
    def __validation_class_list
      super() << SpinCommand
    end

identify(x, y) click to toggle source

    # File lib/tk/spinbox.rb, line 100
    def identify(x, y)
      tk_send_without_enc('identify', x, y)
    end

invoke(elem) click to toggle source

    # File lib/tk/spinbox.rb, line 104
    def invoke(elem)
      tk_send_without_enc('invoke', elem)
      self
    end

set(str) click to toggle source

    # File lib/tk/spinbox.rb, line 137
    def set(str)
      _fromUTF8(tk_send_without_enc('set', _get_eval_enc_str(str)))
    end

spindown() click to toggle source

    # File lib/tk/spinbox.rb, line 123
    def spindown
      begin
        tk_send_without_enc('invoke', 'buttondown')
      rescue RuntimeError => e
        # old version of element?
        begin
          tk_send_without_enc('invoke', 'spinup')
        rescue
          fail e
        end
      end
      self
    end

spinup() click to toggle source

    # File lib/tk/spinbox.rb, line 109
    def spinup
      begin
        tk_send_without_enc('invoke', 'buttonup')
      rescue RuntimeError => e
        # old version of element?
        begin
          tk_send_without_enc('invoke', 'spinup')
        rescue
          fail e
        end
      end
      self
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source

def create_self(keys)

    tk_call_without_enc('spinbox', @path)
    if keys and keys != None
      configure(keys)
    end

end private :create_self

Calls superclass method

    # File lib/tk/spinbox.rb, line 85
    def __boolval_optkeys
      super() << 'wrap'
    end

__listval_optkeys() click to toggle source
Calls superclass method

    # File lib/tk/spinbox.rb, line 95
    def __listval_optkeys
      super() << 'values'
    end

__strval_optkeys() click to toggle source
Calls superclass method Tk::Entry#__strval_optkeys

    # File lib/tk/spinbox.rb, line 90
    def __strval_optkeys
      super() << 'buttonbackground' << 'format'
    end